#
# spec file for package tkxcd
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tkxcd
Version:        1.1.0
Release:        952.3
Summary:        Graphical frontend for diff
License:        GPL-2.0-or-later
Group:          Productivity/Text/Utilities
Source:         tkxcd_1.1.0.tar.gz
Patch0:         tkxcd-wish.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       tkxcd_1.1.0
Requires:       tk

%description
This is a diff front-end with a look and feel based on Atria Clearcase
xcleardiff. Both files are displayed in a window each and the
differences are marked in different colors.



Authors:
--------
    John C. Quillan <quillan@doitnow.com>

%prep
%autosetup -p0 -n tkxcd_1.1.0

%build

%install
install -d -m 755 %buildroot%_bindir %buildroot%_mandir/man1
install -m 755 tkxcd %buildroot%_bindir
install -m 644 tkxcd.man %buildroot%_mandir/man1/tkxcd.1

%files
%defattr(-,root,root)
%doc HISTORY README sample.tkxcdrc LICENSE TODO
%doc %_mandir/*/*
%_bindir/*

%changelog
* Mon Feb 26 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Tue Oct 14 2014 jengelh@inai.de
- Remove ancient specfile tags and sections
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Mon Jan 15 2007 max@suse.de
- Moved executable form /usr/X11R6/bin to /usr/bin.
- Cleaned up spec file and made it noarch.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 12 2004 adrian@suse.de
- use BuildRoot
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Apr 10 2001 ro@suse.de
- added group tag
* Thu Oct 28 1999 max@suse.de
- ready for the new Tcl/Tk packages
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May  7 1997 hf@suse.de
  This is a diff front end with a look and feel based on
  Atria Clearcase xcleardiff.
  Version 1.1
* Tue May  6 1997 hf@suse.de
  Changed the shell from wish to wish4.2
